###########################################################################
#
# win32.mak -- Windows Makefile for gs2-core
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


GSDL_DIR = $(MAKEDIR)
MAKE = $(MAKE) GSDLHOME=$(GSDL_DIR)


# Option: Lucene support (enabled by default)
ENABLE_LUCENE = 1
!IF $(ENABLE_LUCENE)
MAKE = $(MAKE) ENABLE_LUCENE=1
!ENDIF

# Option: SQLite support (enabled by default)
USE_SQLITE = 1
!IF $(USE_SQLITE)
MAKE = $(MAKE) USE_SQLITE=1
!ENDIF


SUBDIRS = common-src build-src runtime-src


all: win32.mak $(SUBDIRS)

install: win32.mak $(SUBDIRS)

$(SUBDIRS): FORCE
	cd "$@"
	$(MAKE) /f win32.mak
	$(MAKE) /f win32.mak install
	cd "$(MAKEDIR)"

FORCE:
